/*
** Module   : TextWidget.java
** Abstract : server-side text widget representation.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CA  20130927 Created initial version.
*/

package com.goldencode.p2j.ui;

import com.goldencode.p2j.util.*;

/**
 * Represents a TEXT widget on server-side. This widget is used in following cases:
 * <ul>
 *   <li>CREATE TEXT statement</li>
 *   <li>DISPLAY "string-literal" VIEW-AS TEXT</li>
 *   <li>DISPLAY ... WITH ... USE-TEXT</LI>
 * </ul>
 */
@LegacyResource(resource = LegacyResource.TEXT)
public class TextWidget
extends ControlTextWidget
{
   /**
    * Default constructor.
    */
   public TextWidget()
   {
      setStatic(false);
   }
}
