/*
** Module   : SOAPFaultImpl.java
** Abstract : Implementation for the SOAP-FAULT resource.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 CA  20130216 Created initial version.
** 002 CA  20130221 Added Deletable support. Fixed NAME and TYPE support.
** 003 OM  20130304 Refactored isValid and isUnknown of WrappedResource to valid and unknown.
** 004 CA  20130927 Removed setResourceType, as the type is determined from LegacyResource 
**                  annotation.
*/

package com.goldencode.p2j.util;

/**
 * A class for implementing the SOAP-FAULT method and attributes.
 */
public class SOAPFaultImpl
extends HandleResource
implements SOAPFault,
           Deletable
{
   /**
    * The URI of the Web service actor that caused this SOAP-FAULT.
    * 
    * @return   See above.
    */
   public character getFaultActor()
   {
      // TODO: implement this
      return new character();
   }

   /**
    * The SOAP-FAULT-CODE of this SOAP-FAULT object.
    * 
    * @return   See above.
    */
   public character getFaultCode()
   {
      // TODO: implement this
      return new character();
   }

   /**
    * Returns the handle of the SOAP-FAULT-DETAIL associated with this SOAP-FAULT object.
    * 
    * @return   See above.
    */
   public handle getFaultDetail()
   {
      // TODO: implement this
      return new handle();
   }

   /**
    * The SOAP-FAULT-STRING of this SOAP-FAULT object.
    * 
    * @return   See above.
    */
   public character getFaultString()
   {
      // TODO: implement this
      return new character();
   }
   
   /**
    * Reports if this object is valid for use.  
    *
    * @return   <code>true</code> if we are valid (can be used).
    */
   public boolean valid()
   {
      // TODO: implement this
      return false;
   }

   @Override
   public void delete()
   {
      // TODO Auto-generated method stub
   }
}
